com.gisgraphy.reversegeocoding

## Class ReverseGeocodingService

- java.lang.Object
- - com.gisgraphy.reversegeocoding.ReverseGeocodingService

- All Implemented Interfaces:
    com.gisgraphy.reversegeocoding.IReverseGeocodingService

      @Service
      public class ReverseGeocodingService
      extends Object
      implements com.gisgraphy.reversegeocoding.IReverseGeocodingService

  Default (threadsafe) implementation of `IReverseGeocodingService`.
  Author:
    David Masclet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AddressHelper` | `addressHelper`
    `protected static org.slf4j.Logger` | `logger` The logger
    `protected IOpenStreetMapDao` | `openStreetMapDao`
    `protected IStatsUsageService` | `statsUsageService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReverseGeocodingService()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `executeAndSerialize(com.gisgraphy.reversegeocoding.ReverseGeocodingQuery query, OutputStream outputStream)`
    `com.gisgraphy.addressparser.AddressResultsDto` | `executeQuery(com.gisgraphy.reversegeocoding.ReverseGeocodingQuery query)`
    `String` | `executeQueryToString(com.gisgraphy.reversegeocoding.ReverseGeocodingQuery query)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### openStreetMapDao

          @Autowired
          protected IOpenStreetMapDao openStreetMapDao

    - #### statsUsageService

          protected IStatsUsageService statsUsageService

    - #### addressHelper

          @Autowired
          protected AddressHelper addressHelper

    - #### logger

          protected static final org.slf4j.Logger logger

      The logger

  - ### Constructor Detail

    - #### ReverseGeocodingService

          public ReverseGeocodingService()

  - ### Method Detail

    - #### executeQuery

          public com.gisgraphy.addressparser.AddressResultsDto executeQuery(com.gisgraphy.reversegeocoding.ReverseGeocodingQuery query)
                                                                     throws com.gisgraphy.service.ServiceException

      Specified by:
        `executeQuery` in interface `com.gisgraphy.reversegeocoding.IReverseGeocodingService`
      Throws:
        `com.gisgraphy.service.ServiceException`

    - #### executeAndSerialize

          public void executeAndSerialize(com.gisgraphy.reversegeocoding.ReverseGeocodingQuery query,
                                 OutputStream outputStream)
                                   throws com.gisgraphy.service.ServiceException

      Specified by:
        `executeAndSerialize` in interface `com.gisgraphy.reversegeocoding.IReverseGeocodingService`
      Throws:
        `com.gisgraphy.service.ServiceException`

    - #### executeQueryToString

          public String executeQueryToString(com.gisgraphy.reversegeocoding.ReverseGeocodingQuery query)
                                      throws com.gisgraphy.service.ServiceException

      Specified by:
        `executeQueryToString` in interface `com.gisgraphy.reversegeocoding.IReverseGeocodingService`
      Throws:
        `com.gisgraphy.service.ServiceException`

Copyright © 2015. All rights reserved.